[@algorandfoundation/algokit-utils](../README.md) / [types/app](../modules/types_app.md) / AppLookup

# Interface: AppLookup

[types/app](../modules/types_app.md).AppLookup

A lookup of name -> Algorand app for a creator

## Table of contents

### Properties

- [apps](types_app.AppLookup.md#apps)
- [creator](types_app.AppLookup.md#creator)

## Properties

### apps

• **apps**: `Readonly`\<\{ `[name: string]`: [`AppMetadata`](types_app.AppMetadata.md);  }\>

#### Defined in

[src/types/app.ts:273](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L273)

___

### creator

• **creator**: `string`

#### Defined in

[src/types/app.ts:272](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L272)
